Subject: RE: [Sipping] URIs for Gateways

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 10 Jan 2003 08:26:40 -0500

Nope you have the wrong picture.  See below

> I may have been a little thick up to this point - I now think that by
> 'gateway' you mean something that acts like a PBX (I was kind 
> of thinking
> you meant a PSTN gateway, which has very different 
> requirement for all of
> this). From the notes below, it sounds like in your case the 
> PBX is a SIP UA
> that has a set of hardwired phone lines (your 'ports'), each 
> of which goes
> to a single black phone. 
No we have a set of gateways, that are SIP UAs, that are connected to
either a PSTN local loop (which may be an analog loop, DID trunk,
a BRI, PRI or CAS trunk, or to a PBX station loop, which may be analog
or digital, or in some cases a PRI connected to a PBX.  These
gateways provide the path for call.  In the former case, the site
has an all-VoIP phone system, and the gateways are the connection
to the PSTN.  In the latter case, there is a local PBX, but there
is also a set of VoIP stations.  The gateways provide the link between
these systems.

There are gateways that connect to phones, but this discussion is not 
about them.

>You want a proxy server to manage 
> the mappings of
> identifiers (be they tel URLs or SIP URIs) to particular PBXs 
> and PBX ports,
> because you want the PBXs themselves to be ignorant of the URIs that
> identify the phones that they manage. Is that right?
No, we want the proxy server to manage the mappings because the sip
identities in the sip phones are people with real sip URIs (like
[email-masked]) and not tel uris.  However, each of the
sip uris ALSO has a telephone number.  If you call alice with either
sip:[email-masked] or tel:+14125551212, or +14125551212 on the PSTN,
the call will go to Alice's sipphone.  The problem is that alice has 
two uris (one is a tel uri), and we don't want to have all the UAs 
registering twice under both identities.  Instead, we have a proxy 
server that understands the mapping.

> 
> Ordinarily, we say that in SIP architectures, features are 
> pushed to the
> edges, not to the core of the network. Abstract out the PBX 
> for a minute,
> and imagine coming forward with a SIP architecture in which 
> you have a set
> of user agents that are so simple that they don't know their 
> own identity,
> they can't learn it somehow from the network, and therefore 
> cannot correctly
> populate the From header field of requests they generate. 
> Instead, they'd
> like a proxy server to somehow populate this identity in 
> requests as they
> are sent through the network. This would be essentially the 
> same problem you
> brought to the list.
No the problem is that they have two identities, one of which
they "know", and we want them to be able to be reached by
any (there could be more than two) of these identities.

The relationship between the identities is in a centralized (well,
actually it's distributed, replicated) database. 
> 
> My reaction would probably be that RFC3261 assumes that SIP 
> UAs have the
> ability to populate a From header field. Even my 1G CDMA cell 
> phone knows
> its own phone number. A PBX usually means something with a 
> lot of features.
> Even if in your architecture you're trying to radically 
> reduce the cost of
> the PBX component, a PBX can be expected to more be complex 
> than, say, the
> sorts of simple SIP phones we see today (which are in my 
> experience all
> capable of mananging one identity, if not several, for their 
> users). Is it
> really that much harder for a PBX to look at the string 
> 'port3' in the R-U
> of a SIP request and map that to a hardware resource than it 
> is for a PBX to
> look at the string '+12025332600' in the R-U of a SIP request 
> and map that
> to a hardware resource? PBXs that are compliant SIP 
> implementations will
> have to perform a number of vastly more complicated operations.
Actually, I know of no sip UAs that handle multiple identities.
I don't have direct experience with 3G phones, so they might.
We have a half dozen sip phones, a half dozen soft phones,
probably 10 different vendors of gateways and they all have the
same characteristic that they only have one identity at a time.
 
> 
> In other words, it's hard for me to understand why the PBX UA 
> (the edge)
> isn't the right place to manage the mapping between an 
> identifier (a phone
> number) and a port. Doing this in a proxy (the core) 
> introduces a number of
> data synchronization questions as well as the protocol 
> questions that have
> run through this thread. Is there some special reason why 
> this PBX cannot be
> expected to do one of the simpler things that we ask of UAs? 
> Is there a
> particularly large number of ports that you imagine such a 
> PBX would manage
> (in the millions, maybe)? It would really help to have more 
> background. The
> motivation for this is a little obscure to me.
Small gateways are pretty simple.  There are between 1 and maybe
24 ports, each of which is a one line/loop connection, like an
analog loop.  Big gateways in this context handle 1-8 PRIs.
Each of the PRIs has blocks of directory numbers assigned to it.

There are the usual issues with assigning numbers to "phones" (I
used quotes, because it's actually users; we assign a number to
a user, not to a phone) = multiple "phones" can be assigned to one
number, multiple numbers can be assigned to one "phone".  There
are no gateways I know of that understand how to do this, 
although a SIP proxy servers could use the Single Line Extension 
and forking proxy mechanisms to simulate it.  The point here is 
that it's the PROXY that does the work, not the UA.

If we want to mandate that all sip UAs must handle multiple identities,
and standardize a way that it learns all the identities associated with 
any one of them, then we probably can avoid dealing with my "translator".

Brian
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: [email-masked]
Date: Fri, 10 Jan 2003 23:48:01 +0200

> Actually, I know of no sip UAs that handle multiple identities.

on my desj i have cisco 7960 that understands lots of different
identities.  on my pc i have kphone that understand any number of
identities.  these can be phone numbers of email style sip uris.
in addition, in my proxy a user can have any number of aliases for
itself.  thus i don't really see what the problem is.

 > same characteristic that they only have one identity at a time.

looks you haven't got any good one.  keep on shopping and junk the
junk.  the same for your proxy and pstn gw.

-- juha

---

From: Jiri Kuthan <[email-masked]>
Date: Tue, 14 Jan 2003 18:44:19 +0100

This discussion became somehow multithreaded, so let me please make
sure I'm catching up.

One problem I see is ability of a PSTN gateway to propagate a calling
number owned by a SIP caller down to PSTN. From: may or may not have
the number in userpart (for example because a caller prefers to
have "john" there). Perhaps some will agree that a gateway may not
be necessarily the best place for mapping of From/username->PSTN number.
Doing so in a proxy (a device which typically faetures lot of programmability)
seems reasonable to me. Then the missing piece is how to propagate
the PSTN number to the gateway. Using NAI as suggested here seems
a very good hit to me.

As for propagating the called number to PSTN -- I think that's about
r-uri -- that is the resource which hit the gateway and which identifies
the desired destination.

Is there any additional functionality/problems folks would like to have?
Is there any reason why NAI/r-uri should not be good enough for using 
in gateway's calling/caller-id PSTN signaling?

Thanks,

-Jiri